------------------------------------------------------------
-- VHDL IIR_CoeffMem
-- 2005 4 14 18 51 36
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL IIR_CoeffMem
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity IIR_CoeffMem Is
  port
  (
    A    : In    STD_LOGIC_VECTOR(6 downto 0);               -- ObjectKind=Port|PrimaryId=A[6..0]
    ADDR : In    STD_LOGIC_VECTOR(10 downto 0);              -- ObjectKind=Port|PrimaryId=ADDR[10..0]
    CLK  : In    STD_LOGIC;                                  -- ObjectKind=Port|PrimaryId=CLK
    COEF : Out   STD_LOGIC_VECTOR(17 downto 0);              -- ObjectKind=Port|PrimaryId=COEF[17..0]
    CTRL : Out   STD_LOGIC_VECTOR(17 downto 0);              -- ObjectKind=Port|PrimaryId=CTRL[17..0]
    DI   : In    STD_LOGIC_VECTOR(17 downto 0);              -- ObjectKind=Port|PrimaryId=DI[17..0]
    DO   : Out   STD_LOGIC_VECTOR(17 downto 0);              -- ObjectKind=Port|PrimaryId=DO[17..0]
    MWE  : In    STD_LOGIC;                                  -- ObjectKind=Port|PrimaryId=MWE
    SEL  : In    STD_LOGIC_VECTOR(2 downto 0)                -- ObjectKind=Port|PrimaryId=SEL[2..0]
  );
  attribute MacroCell : boolean;

End IIR_CoeffMem;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of IIR_CoeffMem is
   Component RAMB16_S18_S36                                  -- ObjectKind=Part|PrimaryId=U2|SecondaryId=1
      port
      (
        ADDRA : in  STD_LOGIC_VECTOR(9 downto 0);            -- ObjectKind=Pin|PrimaryId=U2-ADDRA[9..0]
        ADDRB : in  STD_LOGIC_VECTOR(8 downto 0);            -- ObjectKind=Pin|PrimaryId=U2-ADDRB[8..0]
        CLKA  : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U2-CLKA
        CLKB  : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U2-CLKB
        DIA   : in  STD_LOGIC_VECTOR(15 downto 0);           -- ObjectKind=Pin|PrimaryId=U2-DIA[15..0]
        DIB   : in  STD_LOGIC_VECTOR(31 downto 0);           -- ObjectKind=Pin|PrimaryId=U2-DIB[31..0]
        DIPA  : in  STD_LOGIC_VECTOR(1 downto 0);            -- ObjectKind=Pin|PrimaryId=U2-DIPA[1..0]
        DIPB  : in  STD_LOGIC_VECTOR(3 downto 0);            -- ObjectKind=Pin|PrimaryId=U2-DIPB[3..0]
        DOA   : out STD_LOGIC_VECTOR(15 downto 0);           -- ObjectKind=Pin|PrimaryId=U2-DOA[15..0]
        DOB   : out STD_LOGIC_VECTOR(31 downto 0);           -- ObjectKind=Pin|PrimaryId=U2-DOB[31..0]
        DOPA  : out STD_LOGIC_VECTOR(1 downto 0);            -- ObjectKind=Pin|PrimaryId=U2-DOPA[1..0]
        DOPB  : out STD_LOGIC_VECTOR(3 downto 0);            -- ObjectKind=Pin|PrimaryId=U2-DOPB[3..0]
        ENA   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U2-ENA
        ENB   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U2-ENB
        SSRA  : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U2-SSRA
        SSRB  : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U2-SSRB
        WEA   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U2-WEA
        WEB   : in  STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=U2-WEB
      );
   End Component;


    Signal NamedSignal_CD             : STD_LOGIC_VECTOR(35 downto 0); -- ObjectKind=Net|PrimaryId=CD[35..0]
    Signal NamedSignal_GND1_BUS       : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    Signal NamedSignal_GND2_BUS       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[31..0]
    Signal NamedSignal_JoinA_JB_S3C1  : STD_LOGIC_VECTOR(10 downto 0); -- ObjectKind=Net|PrimaryId=ADDR[10..0]
    Signal NamedSignal_JoinA_JB_S3C3  : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=DI[17..0]
    Signal NamedSignal_JoinA_JB_S3C4  : STD_LOGIC_VECTOR(6 downto 0); -- ObjectKind=Net|PrimaryId=A[6..0]
    Signal NamedSignal_JoinA_JB_S3C5  : STD_LOGIC_VECTOR(2 downto 0); -- ObjectKind=Net|PrimaryId=SEL[2..0]
    Signal NamedSignal_JoinA_JB_S3C6  : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_DOA[15..0]
    Signal NamedSignal_JoinA_JB_S3C7  : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_DOPA[1..0]
    Signal NamedSignal_JoinA_JB_S3C8  : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_DOB[31..0]
    Signal NamedSignal_JoinA_JB_S3C9  : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_DOPB[3..0]
    Signal NamedSignal_JoinB_JB_S3C1  : STD_LOGIC_VECTOR(9 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_ADDRA[9..0]
    Signal NamedSignal_JoinB_JB_S3C10 : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=COEF[17..0]
    Signal NamedSignal_JoinB_JB_S3C11 : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=CTRL[17..0]
    Signal NamedSignal_JoinB_JB_S3C2  : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_DIA[15..0]
    Signal NamedSignal_JoinB_JB_S3C3  : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_DIPA[1..0]
    Signal NamedSignal_JoinB_JB_S3C5  : STD_LOGIC_VECTOR(8 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_ADDRB[8..0]
    Signal NamedSignal_JoinB_JB_S3C7  : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=DO[17..0]
    Signal PinSignal_U2_DOA           : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_DOA[15..0]
    Signal PinSignal_U2_DOB           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_DOB[31..0]
    Signal PinSignal_U2_DOPA          : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_DOPA[1..0]
    Signal PinSignal_U2_DOPB          : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_DOPB[3..0]
    Signal PowerSignal_GND            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

begin
    U2 : RAMB16_S18_S36                                      -- ObjectKind=Part|PrimaryId=U2|SecondaryId=1
      Port Map
      (
        ADDRA => NamedSignal_JoinB_JB_S3C1,                  -- ObjectKind=Pin|PrimaryId=U2-ADDRA[9..0]
        ADDRB => NamedSignal_JoinB_JB_S3C5,                  -- ObjectKind=Pin|PrimaryId=U2-ADDRB[8..0]
        CLKA  => CLK,                                        -- ObjectKind=Pin|PrimaryId=U2-CLKA
        CLKB  => CLK,                                        -- ObjectKind=Pin|PrimaryId=U2-CLKB
        DIA   => NamedSignal_JoinB_JB_S3C2,                  -- ObjectKind=Pin|PrimaryId=U2-DIA[15..0]
        DIB   => NamedSignal_GND2_BUS,                       -- ObjectKind=Pin|PrimaryId=U2-DIB[31..0]
        DIPA  => NamedSignal_JoinB_JB_S3C3,                  -- ObjectKind=Pin|PrimaryId=U2-DIPA[1..0]
        DIPB  => NamedSignal_GND1_BUS,                       -- ObjectKind=Pin|PrimaryId=U2-DIPB[3..0]
        DOA   => PinSignal_U2_DOA,                           -- ObjectKind=Pin|PrimaryId=U2-DOA[15..0]
        DOB   => PinSignal_U2_DOB,                           -- ObjectKind=Pin|PrimaryId=U2-DOB[31..0]
        DOPA  => PinSignal_U2_DOPA,                          -- ObjectKind=Pin|PrimaryId=U2-DOPA[1..0]
        DOPB  => PinSignal_U2_DOPB,                          -- ObjectKind=Pin|PrimaryId=U2-DOPB[3..0]
        ENA   => PowerSignal_VCC,                            -- ObjectKind=Pin|PrimaryId=U2-ENA
        ENB   => PowerSignal_VCC,                            -- ObjectKind=Pin|PrimaryId=U2-ENB
        SSRA  => PowerSignal_GND,                            -- ObjectKind=Pin|PrimaryId=U2-SSRA
        SSRB  => PowerSignal_GND,                            -- ObjectKind=Pin|PrimaryId=U2-SSRB
        WEA   => MWE,                                        -- ObjectKind=Pin|PrimaryId=U2-WEA
        WEB   => PowerSignal_GND                             -- ObjectKind=Pin|PrimaryId=U2-WEB
      );

    -- Signal Assignments
    ---------------------
    COEF                                    <= NamedSignal_JoinB_JB_S3C10; -- ObjectKind=Net|PrimaryId=COEF[17..0]
    CTRL                                    <= NamedSignal_JoinB_JB_S3C11; -- ObjectKind=Net|PrimaryId=CTRL[17..0]
    DO                                      <= NamedSignal_JoinB_JB_S3C7; -- ObjectKind=Net|PrimaryId=DO[17..0]
    NamedSignal_CD(31 downto 0)             <= NamedSignal_JoinA_JB_S3C8;
    NamedSignal_CD(35 downto 32)            <= NamedSignal_JoinA_JB_S3C9;
    NamedSignal_GND1_BUS                    <= "0000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    NamedSignal_GND2_BUS                    <= "00000000000000000000000000000000"; -- ObjectKind=Net|PrimaryId=GND2_BUS[31..0]
    NamedSignal_JoinA_JB_S3C1               <= ADDR; -- ObjectKind=Net|PrimaryId=ADDR[10..0]
    NamedSignal_JoinA_JB_S3C3               <= DI; -- ObjectKind=Net|PrimaryId=DI[17..0]
    NamedSignal_JoinA_JB_S3C4               <= A; -- ObjectKind=Net|PrimaryId=A[6..0]
    NamedSignal_JoinA_JB_S3C5               <= SEL; -- ObjectKind=Net|PrimaryId=SEL[2..0]
    NamedSignal_JoinA_JB_S3C6               <= PinSignal_U2_DOA; -- ObjectKind=Net|PrimaryId=NetU2_DOA[15..0]
    NamedSignal_JoinA_JB_S3C7               <= PinSignal_U2_DOPA; -- ObjectKind=Net|PrimaryId=NetU2_DOPA[1..0]
    NamedSignal_JoinA_JB_S3C8               <= PinSignal_U2_DOB; -- ObjectKind=Net|PrimaryId=NetU2_DOB[31..0]
    NamedSignal_JoinA_JB_S3C9               <= PinSignal_U2_DOPB; -- ObjectKind=Net|PrimaryId=NetU2_DOPB[3..0]
    NamedSignal_JoinB_JB_S3C1               <= NamedSignal_JoinA_JB_S3C1(9 downto 0);
    NamedSignal_JoinB_JB_S3C10              <= NamedSignal_CD(17 downto 0);
    NamedSignal_JoinB_JB_S3C11              <= NamedSignal_CD(35 downto 18);
    NamedSignal_JoinB_JB_S3C2               <= NamedSignal_JoinA_JB_S3C3(15 downto 0);
    NamedSignal_JoinB_JB_S3C3               <= NamedSignal_JoinA_JB_S3C3(17 downto 16);
    NamedSignal_JoinB_JB_S3C5(6 downto 0)   <= NamedSignal_JoinA_JB_S3C4;
    NamedSignal_JoinB_JB_S3C5(8 downto 7)   <= NamedSignal_JoinA_JB_S3C5(1 downto 0);
    NamedSignal_JoinB_JB_S3C7(15 downto 0)  <= NamedSignal_JoinA_JB_S3C6;
    NamedSignal_JoinB_JB_S3C7(17 downto 16) <= NamedSignal_JoinA_JB_S3C7;
    PowerSignal_GND                         <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC                         <= '1'; -- ObjectKind=Net|PrimaryId=VCC

end structure;
------------------------------------------------------------

